sfcode An Online Competing and Development Environment

escape-string-regexp

> Escape RegExp special characters

# Install

$ npm install --save escape-string-regexp

# Usage

const escapeStringRegexp = require('escape-string-regexp');
const escapedString = escapeStringRegexp('how much $ for a unicorn?');
//=> 'how much \$ for a unicorn\?'
new RegExp(escapedString);

# License

MIT © Sindre Sorhus